package org.netkernel.mod.cron.services;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.mod.cron.transport.CronTransport;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.quartz.*;

public class CronListAccessor extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext aContext) throws Exception
	{
		//TODO implement cronList and cronListAll
		//String type=aContext.getThisRequest().getArgumentValue("activeType2");
		//System.out.println("type="+type);
		
		Scheduler s=CronTransport.getSingleton().getScheduler();
		IHDSNode state=CronUtils.getState(s);	
	    aContext.createResponseFrom(state).setExpiry(INKFResponse.EXPIRY_ALWAYS);
	}
}
